##
##  libcroco.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2019 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_major   0.6
%define       V_minor   13

#   package information
Name:         libcroco
Summary:      CSS Parsing Toolkit
URL:          http://www.freespiders.org/projects/libcroco/
Vendor:       Dodji Seketeli et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Web
License:      LGPL
Version:      %{V_major}.%{V_minor}
Release:      20190408

#   list of sources
Source0:      http://ftp.gnome.org/pub/GNOME/sources/libcroco/%{V_major}/libcroco-%{version}.tar.xz
Patch0:       libcroco.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, pkgconfig, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  libxml, glib
PreReq:       libxml, glib

%description
    Libcroco is an effort to build a generic Cascading Style Sheet (CSS)
    parsing and manipulation toolkit that can be used by applications in
    need of CSS support.

%track
    prog libcroco:major = {
        version   = %{V_major}
        url       = http://ftp.gnome.org/pub/GNOME/sources/libcroco/
        regex     = (\d+\.\d+)/
    }
    prog libcroco:full = {
        version   = %{V_major}.%{V_minor}
        url       = http://ftp.gnome.org/pub/GNOME/sources/libcroco/%{V_major}/
        regex     = libcroco-(__VER__)\.tar\.xz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/gtk-doc
    mv $RPM_BUILD_ROOT%{l_prefix}/bin/csslint-* $RPM_BUILD_ROOT%{l_prefix}/bin/csslint
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std}

%files -f files

%clean

